<?php
session_start();
require("../../database/dbConection.php");

$opcaoExclusao        = $_POST['opcaoExclusao'];
$idRegistroExclusao   = $_POST['idRegistroExclusao'];

$formatarOrigem = array(
  'lista_unica' => 'LISTA ÚNICA',
  'policlinica' => 'POLICLÍNICA',
  'sisreg' => 'SISREG',
  'sistema_vida' => 'VIDA+',
);

if ($opcaoExclusao == "procedimento_agendamento") {

  $idPaciente           = $_POST['idPaciente'];
  $stmlRegistroExclusao = $rsConexao->prepare("DELETE FROM reg_tb_agendamentos WHERE id_agendamento='$idRegistroExclusao'");
  $stmlRegistroExclusao->execute();

  $stmlAltoIncremento   = $rsConexao->prepare("ALTER TABLE reg_tb_agendamentos AUTO_INCREMENT=1");
  $stmlAltoIncremento->execute();

  /* carregar lista atualizada */
  $sqlDemandas  = "SELECT reg_tb_agendamentos.*, date_format(data_atendimento,'%d/%m/%Y') dataAtendimento, date_format(data_retirada,'%d/%m/%Y') dataRetirada,
  tb_usuario.nome_usuario AS nomeUsuarioCadastrou, tb_usuario_1.nome_usuario AS nomeUsuarioAlterou, reg_tb_procedimento.nome_procedimento FROM reg_tb_agendamentos 
  INNER JOIN reg_tb_procedimento ON (reg_tb_agendamentos.id_procedimento = reg_tb_procedimento.id_procedimento) 
  INNER JOIN tb_usuario ON (reg_tb_agendamentos.id_usuario_cadastrou = tb_usuario.id_usuario)
  LEFT OUTER JOIN tb_usuario tb_usuario_1 ON (tb_usuario_1.id_usuario = reg_tb_agendamentos.id_usuario_alterou) WHERE id_paciente='$idPaciente'";
  $stmDemandas  = $rsConexao->prepare($sqlDemandas);
  $stmDemandas->execute();
  $rsDemandas = $stmDemandas->fetchAll(PDO::FETCH_ASSOC);
  $totalRegistros  = $stmDemandas->rowCount();

  if ($totalRegistros > 0) {
    foreach ($rsDemandas as $fieldDemanda) {
      $idAgendamento      = $fieldDemanda['id_agendamento'];
      $numeroSolicitacao  = mb_strtoupper($fieldDemanda['numero_solicitacao']);
      $nomeProcedimento    = mb_strtoupper($fieldDemanda['nome_procedimento']);
      $sistemaOrigem      = $formatarOrigem[$fieldDemanda['origem_agendamento']];
      $dataAtendimento    = $fieldDemanda['dataAtendimento'];
      $dataRetirada        = $fieldDemanda['dataRetirada'];
      $statusAgendamento  = mb_strtoupper($fieldDemanda['status_agendamento']);
      $dataEditar          = mb_strtoupper($fieldDemanda['data_retirada']);

      if (date("Y-m-d") > $dataEditar) {
        $backgroundColor = "style='background-color:#860000; color:#fff !important'";
      } else {
        $backgroundColor = "";
      }

      if ($fieldDemanda['id_usuario_alterou'] == "") {
        $ultimoUsuario = $fieldDemanda['nomeUsuarioCadastrou'];
      } else {
        $ultimoUsuario = $fieldDemanda['nomeUsuarioAlterou'];
      }

      if ($statusAgendamento == "AGENDADO") {
        $linkEditarAgendamento    = '"editarAgendamento(' . "'$idAgendamento')" . '"';
        $comandoEditarAgendamento = " <i class='icofont icofont-edit nova_fonte' title='Editar registro de procedimento agendado.'  onclick=$linkEditarAgendamento></i>&nbsp;";

        $linkExcluirAgendamento    = '"excluirAgendamento(' . "'$idAgendamento')" . '"';
        $comandoExcluirAgendamento  = "<i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de procedimento agendado.'  onclick=$linkExcluirAgendamento></i>&nbsp;";
      } else {
        $comandoEditarAgendamento    = "N/A";
        $comandoExcluirAgendamento  = "";
      }

      if ($fieldDemanda['observacoes_demanda'] != "") {
        $linkVerObservacao  = '"verObservacaoRegistroAgendamento(' . "'$idAgendamento')" . '"';
        $linkVerObservacao  = "<i class='icofont icofont-info-square nova_fonte' title='Ver Observação.'  onclick=$comandoEditarAgendamento></i>";
      } else {
        $linkVerObservacao  = "&nbsp&nbsp&nbsp&nbsp&nbsp";
      }
      echo "<tr>
        <td style='text-align:center'>
          $comandoEditarAgendamento
          $comandoExcluirAgendamento
        </td>	
        <td align='center'>$numeroSolicitacao</td>
        <td>$nomeProcedimento</td>
        <td>$sistemaOrigem</td>
        <td align='center'>$dataAtendimento</td>
        <td align='center' $backgroundColor>$dataRetirada</td>
        <td align='center'>$statusAgendamento</td>
        <td>$ultimoUsuario</td>
      </tr>";
    }
  }
}

if ($opcaoExclusao == "procedimento_cadastrado") {

  $stmExisteDemanda     = $rsConexao->prepare("SELECT id_agendamento FROM reg_tb_agendamentos WHERE id_procedimento='$idRegistroExclusao'");
  $stmExisteDemanda->execute();
  $registrosExistentes  = $stmExisteDemanda->rowCount();

  if ($registrosExistentes > 0) {
    echo "ExisteDemanda";
  } else {

    $stmlRegistroExclusao         = $rsConexao->prepare("DELETE FROM reg_tb_procedimento WHERE id_procedimento='$idRegistroExclusao'");
    $stmlRegistroExclusao->execute();
    $stmlReiniciarAutoIntremento  = $rsConexao->prepare("ALTER TABLE reg_tb_procedimento AUTO_INCREMENT=1");
    $stmlRegistroExclusao->execute();

    $grupoProcedimento            = $_POST['grupoProcedimento'];
    //******* carregar lista atualizada *******/  
    $sqlProcedimento = "SELECT reg_tb_procedimento.*, reg_tb_procedimento_grupo.nome_grupo_procedimento FROM reg_tb_procedimento INNER JOIN
    reg_tb_procedimento_grupo ON (reg_tb_procedimento.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
    WHERE reg_tb_procedimento.id_grupo_procedimento='$grupoProcedimento' ORDER BY nome_procedimento;";
    $stmProcedimento    = $rsConexao->prepare($sqlProcedimento);
    $stmProcedimento->execute();
    $rsProcedimento     = $stmProcedimento->fetchAll(PDO::FETCH_ASSOC);
    $totalProcedimentos = $stmProcedimento->rowCount();


    if ($totalProcedimentos > 0) {

      foreach ($rsProcedimento as $fieldProcedimento) {
        $idProcedimento            = $fieldProcedimento['id_procedimento'];
        $nomeProcedimento          = mb_strtoupper($fieldProcedimento['nome_procedimento']);
        $codigoSisreg              = $fieldProcedimento['codigo_sus'];
        $sexoPermitidoExibir      = $formatarSexo[$fieldProcedimento['sexo_permitido']];
        $sexoPermitido            = $fieldProcedimento['sexo_permitido'];
        $faixaEtariaIdadeInicial  = $fieldProcedimento['faixaetaria_idadeinicial'];
        $faixaEtariaIdadeFinal    = $fieldProcedimento['faixaetaria_idadefinal'];
        $faixaEtariaExibir        = "$faixaEtariaIdadeInicial - $faixaEtariaIdadeFinal";
        $idGrupo                  = $fieldProcedimento['id_grupo_procedimento'];
        $nomeGrupo                = mb_strtoupper($fieldProcedimento['nome_grupo_procedimento']);
        $disponivelGuiche         = $fieldProcedimento['disponivel_guiche'];
        $getPreparosProcedimentos = $fieldProcedimento['preparo_procedimento'];
        $getObervacaoProcedimento = $fieldProcedimento['observacao_procedimento'];

        $disponivelGuicheExibir = $fieldProcedimento['disponivel_guiche'] == "S" ? "SIM" : "NÃO";

        $linkEditarProcedimento   = '"editarProcedimento(' . "'$idProcedimento#$idGrupo#$nomeProcedimento#$codigoSisreg#$sexoPermitido#$faixaEtariaIdadeInicial#$faixaEtariaIdadeFinal#$disponivelGuiche#$getPreparosProcedimentos')" . '"';
        $linkExcluirProcedimento  = '"excluirProcedimento(' . "'$idProcedimento')" . '"';

        echo "<tr>
          <td style='text-align:center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar registro de procedimento.'  onclick=$linkEditarProcedimento></i>&nbsp;
            <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de procedimento.'  onclick=$linkExcluirProcedimento></i>&nbsp;
          </td>      
          <td style='text-align:left'>$nomeGrupo</td>
          <td>$nomeProcedimento</td>
          <td style='text-align:center'>$codigoSisreg</td>
          <td style='text-align:center'>$sexoPermitidoExibir</td>
          <td style='text-align:center'>$faixaEtariaExibir</td>
          <td style='text-align:center'>$disponivelGuicheExibir</td>
        </tr>";
      }
    }
  }
}

if ($opcaoExclusao == "grupo_cadastrado") {

  $stmExisteDemanda     = $rsConexao->prepare("SELECT id_grupo_procedimento FROM reg_tb_procedimento WHERE id_grupo_procedimento='$idRegistroExclusao'");
  $stmExisteDemanda->execute();
  $registrosExistentes  = $stmExisteDemanda->rowCount();

  if ($registrosExistentes > 0) {
    echo "ExisteProcedimento";
    exit;
  } else {
    $stmlRegistroExclusao         = $rsConexao->prepare("DELETE FROM reg_tb_procedimento_grupo WHERE id_grupo_procedimento='$idRegistroExclusao'");
    $stmlRegistroExclusao->execute();
    $stmlReiniciarAutoIntremento  = $rsConexao->prepare("ALTER TABLE reg_tb_procedimento_grupo AUTO_INCREMENT=1");
    $stmlRegistroExclusao->execute();

    //******* carregar lista atualizada */  
    $stmGrupo    = $rsConexao->prepare("SELECT * FROM reg_tb_procedimento_grupo WHERE id_grupo_procedimento!='1'");
    $stmGrupo->execute();
    $rsGrupo     = $stmGrupo->fetchAll(PDO::FETCH_ASSOC);
    $totalGrupo  = $stmGrupo->rowCount();

    if ($totalGrupo > 0) {
      foreach ($rsGrupo as $fieldGrupo) {
        $idGrupo    = $fieldGrupo['id_grupo_procedimento'];
        $nomeGrupo  = mb_strtoupper($fieldGrupo['nome_grupo_procedimento']);

        $linkEditarGrupo  = '"editarGrupo(' . "'$idGrupo##$nomeGrupo')" . '"';
        $linkExcluirGrupo  = '"excluirGrupo(' . "'$idGrupo')" . '"';
        echo "<tr>
          <td style='text-align:center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar registro de Grupo.' onclick=$linkEditarGrupo></i>&nbsp;
            <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de Grupo.'  onclick=$linkExcluirGrupo></i>
          </td>
          <td>$nomeGrupo</td>
        </tr>";
      }
    }
  }
}

if ($opcaoExclusao == "documento_anexo") {

  $stmlRegistroExclusao         = $rsConexao->prepare("DELETE FROM reg_tb_solicitacoes_anexos WHERE id_sca_documentoanexo='$idRegistroExclusao'");
  $stmlRegistroExclusao->execute();
  $stmlReiniciarAutoIntremento  = $rsConexao->prepare("ALTER TABLE reg_tb_solicitacoes_anexos AUTO_INCREMENT=1");
  $stmlRegistroExclusao->execute();

  unlink($_POST['anexoExcluir']);

  $tokenSolicitacao = $_POST['tokenSolicitacao'];
  //******* carregar lista atualizada */  
  $diretorioBase  = "docsolicitacoes/";
  $diretorioData  = date("Ym");

  $sqlDocumento = "SELECT reg_tb_solicitacoes_anexos.id_sca_documentoanexo, reg_tb_solicitacoes_anexos.id_sca_solicitacao, date_format(reg_tb_solicitacoes_anexos.datahora_inclusao,'%d/%m/%Y') AS dataInclusao, date_format(reg_tb_solicitacoes_anexos.datahora_inclusao,'%H:%i') AS horaInclusao, reg_rl_tipodocumento.nome_tipodocumento, reg_tb_solicitacoes_anexos.pasta_documento, reg_tb_solicitacoes_anexos.nomearquivo_documento, reg_tb_solicitacoes_anexos.id_tipodocumento FROM reg_tb_solicitacoes_anexos INNER JOIN reg_rl_tipodocumento ON (reg_tb_solicitacoes_anexos.id_tipodocumento = reg_rl_tipodocumento.id_tipodocumento) WHERE token_solicitacao='$tokenSolicitacao'";

  $stmDocumento = $rsConexao->prepare($sqlDocumento);
  $stmDocumento->execute();

  if ($stmDocumento->rowCount() > 0) {
    $rsDocumento  = $stmDocumento->fetchAll(PDO::FETCH_ASSOC);
    $contarDocs   = 0;
    foreach ($rsDocumento as $fieldDocumento) {
      $contarDocs         = $contarDocs + 1;
      $idDocumento        = $fieldDocumento['id_sca_documentoanexo'];
      $idSolicitacaoAnexo = $fieldDocumento['id_sca_solicitacao'];
      $dataHoraInclusao   = $fieldDocumento['dataInclusao'] . ' ÀS ' . $fieldDocumento['horaInclusao'];
      $tipoDocumento      = $fieldDocumento['nome_tipodocumento'];
      $idTipoDocumento    = $fieldDocumento['id_tipodocumento'];
      $pastaDocumento     = $fieldDocumento['pasta_documento'];
      $nomeArquivo        = mb_strtoupper($fieldDocumento['nomearquivo_documento']);
      $arquivoAnexo       = $nomePastaArquivo = $diretorioBase . $pastaDocumento . "/$tokenSolicitacao" . "_" . $fieldDocumento['nomearquivo_documento'];

      $cliqueBotaoVisualizarDocumento = 'onClick="window.open(' . "'$arquivoAnexo')" . '"';
      $botaoVisualizarDocumento  = "<i class='icofont icofont-search nova_fonte' title='Visualizar documento anexo.' $cliqueBotaoVisualizarDocumento></i>";;

      if ($idSolicitacaoAnexo == "") {
        $cliqueBotaoExcluirAnexo = 'onClick="excluirAnexo(' . "'$idDocumento','../$arquivoAnexo','$tokenSolicitacao')" . '"';
        $botaoExcluirAnexo  = "<i class='icofont icofont icofont-close-squared nova_fonte_delete' title='Excluir documento.' $cliqueBotaoExcluirAnexo></i>";;
      } else {
        $botaoExcluirAnexo  = "";
      }

      echo "<tr>
        <td align='center'>$botaoVisualizarDocumento&nbsp;$botaoExcluirAnexo</td>
        <td style='display:none' align='center' id='idTipoDoc$contarDocs'>$idTipoDocumento</td>
        <td align='center'>$dataHoraInclusao</td>
        <td>$tipoDocumento</td>
        <td id='tdNomeArquivo$contarDocs'>$nomeArquivo</td>
      </tr>";
    }
  }
}

if ($opcaoExclusao == "documento_agendado") {

  $stmlRegistroExclusao         = $rsConexao->prepare("DELETE FROM reg_tb_solicitacoes_agendado WHERE id_sca_documentoagendado='$idRegistroExclusao'");
  $stmlRegistroExclusao->execute();
  $stmlReiniciarAutoIntremento  = $rsConexao->prepare("ALTER TABLE reg_tb_solicitacoes_agendado AUTO_INCREMENT=1");
  $stmlRegistroExclusao->execute();


  $idSolicitacao = $_POST['idSolicitacao'];
  //******* carregar lista atualizada */  
  $diretorioBase  = "docagendamentos/";
  unlink("../" . $_POST['anexoExcluir']);

  $sqlDocumentoAgendado = "SELECT reg_tb_solicitacoes_agendado.id_sca_documentoagendado, date_format(reg_tb_solicitacoes_agendado.datahora_inclusao,'%d/%m/%Y') AS dataInclusao, 
  date_format(reg_tb_solicitacoes_agendado.datahora_inclusao,'%H:%i') AS horaInclusao, reg_rl_tipodocumento.nome_tipodocumento, reg_tb_solicitacoes_agendado.pasta_documento, 
  reg_tb_solicitacoes_agendado.nomearquivo_documento, reg_tb_solicitacoes_agendado.id_tipodocumento, reg_tb_usuario.nome_usuario, tb_estabelecimento.nfantasia_estabelecimento
  FROM reg_tb_solicitacoes_agendado 
  INNER JOIN reg_rl_tipodocumento ON (reg_tb_solicitacoes_agendado.id_tipodocumento = reg_rl_tipodocumento.id_tipodocumento) 
  INNER JOIN reg_tb_usuario ON (reg_tb_solicitacoes_agendado.id_usuario_cadastrou = reg_tb_usuario.id_usuario) 
  INNER JOIN tb_estabelecimento ON (reg_tb_usuario.id_unidade = reg_tb_unidade_saude.id_unidade) 
  WHERE id_sca_solicitacao='$idSolicitacao'";

tb_estabelecimento.nfantasia_estabelecimento
  $stmDocumentoAgendado = $rsConexao->prepare($sqlDocumentoAgendado);
  $stmDocumentoAgendado->execute();

  if ($stmDocumentoAgendado->rowCount() > 0) {
    $rsDocumentoAgendado  = $stmDocumentoAgendado->fetchAll(PDO::FETCH_ASSOC);
    $contarDocsAgendado   = 0;
    foreach ($rsDocumentoAgendado as $fieldDocumentoAgendado) {
      $contarDocsAgendado       = $contarDocsAgendado + 1;
      $idDocumentoAgendado      = $fieldDocumentoAgendado['id_sca_documentoagendado'];
      $dataHoraInclusaoAgendado = $fieldDocumentoAgendado['dataInclusao'] . ' ÀS ' . $fieldDocumentoAgendado['horaInclusao'];
      $tipoDocumentoAgendado    = $fieldDocumentoAgendado['nome_tipodocumento'];
      $idTipoDocumentoAgendado  = $fieldDocumentoAgendado['id_tipodocumento'];
      $pastaDocumentoAgendado   = $fieldDocumentoAgendado['pasta_documento'];
      $incluidoPor              = $fieldDocumentoAgendado['nome_usuario'] . "<br>(" . $fieldDocumentoAgendado['nome_unidade'] . ")";
      $nomeArquivoAgendado      = mb_strtoupper($fieldDocumentoAgendado['nomearquivo_documento']);

      $arquivoAnexoAgendado     = $diretorioBase . $pastaDocumentoAgendado . "/$numeracaoArquivo" . "_" . $fieldDocumentoAgendado['nomearquivo_documento'];

      $cliqueBotaoVisualizarDocumentoAg = 'onClick="window.open(' . "'$arquivoAnexoAgendado')" . '"';
      $botaoVisualizarDocumentoAgendado  = "<i class='icofont icofont-search nova_fonte' title='Visualizar documento anexo.' $cliqueBotaoVisualizarDocumentoAg></i>";;

      $cliqueBotaoExcluirAnexoAgendado = 'onClick="excluirAnexo(' . "'$idDocumentoAgendado','$arquivoAnexoAgendado','$idSolicitacao')" . '"';
      $botaoExcluirAnexoAgendado  = "<i class='icofont icofont icofont-close-squared nova_fonte_delete' title='Excluir documento.' $cliqueBotaoExcluirAnexoAgendado></i>";;

      echo "<tr>
        <td style='text-align: center !important; width:20px !important'>
          $botaoVisualizarDocumentoAgendado
          $botaoExcluirAnexoAgendado
        </td>
        <td style='display:none' id='idTipoDoc$contarDocsAgendado'>$idTipoDocumentoAgendado</td>
        <td style='width: 80px; text-align:center'>$dataHoraInclusaoAgendado</td>
        <td style='width: 200px;'>$tipoDocumentoAgendado</td>
        <td style='width: 50%;'>$nomeArquivoAgendado</td>
        <td style='font-size:7pt;width: 15%;'>$incluidoPor</td>
      </tr>";
    }
  }
}

if ($opcaoExclusao == "feriado_cadastrado") {


  # --- atualizar suspensão de agendas do feriado --- #
  $stmFeriadoAtivar   = $rsConexao->prepare("SELECT data_inicioferiado, data_fimferiado FROM reg_tb_feriados WHERE id_feriado='$idRegistroExclusao'");
  $stmFeriadoAtivar->execute();
  $rsFeriadoAtivar    = $stmFeriadoAtivar->fetch(PDO::FETCH_OBJ);
  $dataAtivarInicial  = $rsFeriadoAtivar->data_inicioferiado;
  $dataAtivarFinal    = $rsFeriadoAtivar->data_fimferiado;
  $sqlAtivaAgenda = "UPDATE reg_tb_agenda_sub SET
  status_agenda='A'
  WHERE (concat(reg_tb_agenda_sub.ano_agenda,'-',lpad(reg_tb_agenda_sub.mes_agenda,2,'0'),'-',lpad(reg_tb_agenda_sub.dia_agenda,2,'0')) BETWEEN '$dataAtivarInicial' AND '$dataAtivarFinal')";
  $stmAtivaAgenda = $rsConexao->prepare($sqlAtivaAgenda);
  $stmAtivaAgenda->execute();
  # -------------------------------------------------- #  

  $stmlRegistroExclusao = $rsConexao->prepare("DELETE FROM reg_tb_feriados WHERE id_feriado='$idRegistroExclusao'");
  $stmlRegistroExclusao->execute();
  $stmlAltoIncremento   = $rsConexao->prepare("ALTER TABLE reg_tb_feriados AUTO_INCREMENT=1");
  $stmlAltoIncremento->execute();

  /* carregar lista atualizada */
  $sqlFeriado  = "SELECT *, id_feriado, date_format(data_inicioferiado,'%d/%m/%Y') as dataInicial, date_format(data_fimferiado,'%d/%m/%Y') as dataFinal, date_format(data_fimferiado,'%Y-%m-%d') as dataFimValidacao, descricao_feriado FROM reg_tb_feriados ORDER BY data_fimferiado DESC";
  $stmFeriado  = $rsConexao->prepare($sqlFeriado);
  $stmFeriado->execute();
  if ($stmFeriado->rowCount() > 0) {
    $rsFeriado  = $stmFeriado->fetchAll(PDO::FETCH_ASSOC);
    foreach ($rsFeriado as $fieldFeriado) {
      $idFeriado          = $fieldFeriado['id_feriado'];
      $dataInicial        = $fieldFeriado['dataInicial'];
      $dataFinal          = $fieldFeriado['dataFinal'];
      $dataInicioFeriado  = $fieldFeriado['data_inicioferiado'];
      $dataFinalFeriado    = $fieldFeriado['data_fimferiado'];
      $descricaoFeriado    = mb_strtoupper($fieldFeriado['descricao_feriado']);

      $esconderComando      = $fieldFeriado['dataFimValidacao'] < date("Y-m-d") ? "style='display:none'" : "";
      $corFundoDatafinal    = $fieldFeriado['dataFimValidacao'] < date("Y-m-d") ? "style='background-color: #e2aaaa !important; color: #700000'" : "";

      $linkEditarFeriado  = '"editarFeriado(' . "'$idFeriado##$dataInicioFeriado##$dataFinalFeriado##$descricaoFeriado')" . '"';
      $linkExcluirFeriado  = '"excluirFeriado(' . "'$idFeriado')" . '"';
      echo "<tr>
        <td style='text-align:center'>
          <i class='icofont icofont-edit nova_fonte' title='Editar registro de feriado.' $esconderComando onclick=$linkEditarFeriado></i>&nbsp;
          <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de feriado.' $esconderComando onclick=$linkExcluirFeriado></i>
        </td>
        <td align='center'>$dataInicial</td>
        <td align='center' $corFundoDatafinal>$dataFinal</td>
        <td>$descricaoFeriado</td>
      </tr>";
    }
  }
}

if ($opcaoExclusao == "afastamento-profissional") {

  $stmlRegistroExclusao = $rsConexao->prepare("DELETE FROM reg_tb_afastamento_profissional WHERE id_afastamento_profissional='$idRegistroExclusao'");
  $stmlRegistroExclusao->execute();
  $stmlAltoIncremento   = $rsConexao->prepare("ALTER TABLE reg_tb_afastamento_profissional AUTO_INCREMENT=1");
  $stmlAltoIncremento->execute();

  # -- ATUALIZAR AFASTAMENTO DO PROFISSIONAL NA AGENDA -- #
  $sqlAtualizaAgenda = "UPDATE reg_tb_agenda_sub 
  INNER JOIN reg_tb_agenda ON (reg_tb_agenda_sub.id_agenda = reg_tb_agenda.id_agenda) 
  SET reg_tb_agenda_sub.profissional_afastado='N', reg_tb_agenda_sub.id_afastamento=null
  WHERE (reg_tb_agenda_sub.id_afastamento='$idRegistroExclusao')";
  $stmAtualizaAgenda  = $rsConexao->prepare($sqlAtualizaAgenda);
  $stmAtualizaAgenda->execute();
  $stmAtualizaAgenda->closeCursor();

  $idUnidade      = $_POST['idUnidade'];
  $idProfissional = $_POST['idProfissional'];
  # --  carregar lista atualizada -- #
  $sqlAfastamento  = "SELECT reg_tb_afastamento_profissional.id_afastamento_profissional,
  tb_profissional.codigoprofissional_cnes,
  tb_profissional.nome_profissional,      
  tb_estabelecimento.codigoestabelecimento_cnes,
  tb_estabelecimento.nfantasia_estabelecimento,
  reg_tb_procedimento_grupo.nome_grupo_procedimento,
  reg_tb_procedimento.nome_procedimento,
  reg_tb_afastamento_profissional.id_grupo_procedimento,
  reg_tb_afastamento_profissional.id_procedimento,
  reg_tb_afastamento_profissional.datainicio_afastamento,
  reg_tb_afastamento_profissional.datafim_afastamento,
  date_format(reg_tb_afastamento_profissional.datainicio_afastamento,'%d/%m/%Y') as dataInicioAfastamento,
  date_format(reg_tb_afastamento_profissional.datafim_afastamento,'%d/%m/%Y') as dataFimAfastamento,
  date_format(reg_tb_afastamento_profissional.datahora_cadastro,'%d/%m/%Y %H:%i') as dataRegistro,
  reg_tb_afastamento_profissional.motivo_afastamento
  FROM reg_tb_afastamento_profissional
  INNER JOIN tb_estabelecimento ON (reg_tb_afastamento_profissional.codigoestabelecimento_cnes = tb_estabelecimento.codigoestabelecimento_cnes)
  INNER JOIN tb_profissional ON (reg_tb_afastamento_profissional.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
  JOIN reg_tb_procedimento_grupo ON (reg_tb_afastamento_profissional.id_grupo_procedimento = reg_tb_procedimento_grupo.id_grupo_procedimento)
  LEFT OUTER JOIN reg_tb_procedimento ON (reg_tb_afastamento_profissional.id_procedimento = reg_tb_procedimento.id_procedimento)
  WHERE (tb_estabelecimento.codigoestabelecimento_cnes='$idUnidade') AND (tb_profissional.codigoprofissional_cnes='$idProfissional')
  ORDER BY reg_tb_afastamento_profissional.datafim_afastamento DESC";
  $stmAfastamento  = $rsConexao->prepare($sqlAfastamento);
  $stmAfastamento->execute();
  if ($stmAfastamento->rowCount() > 0) {
    $rsAfastamento  = $stmAfastamento->fetchAll(PDO::FETCH_ASSOC);
    foreach ($rsAfastamento as $fieldAfastamento) {
      $idAfastamento        = $fieldAfastamento['id_afastamento_profissional'];
      $idProfissionalEditar = mb_strtoupper($fieldAfastamento['codigoprofissional_cnes']);
      $nomeProfissional     = mb_strtoupper($fieldAfastamento['nome_profissional']);
      $idUnidadeEditar      = mb_strtoupper($fieldAfastamento['codigoestabelecimento_cnes']);
      $nomeUnidade          = mb_strtoupper($fieldAfastamento['nfantasia_estabelecimento']);
      $nomeProcedimentoGrupo  = $fieldAfastamento['nome_procedimento'] != "" ? mb_strtoupper($fieldAfastamento['nome_procedimento']) : mb_strtoupper($fieldAfastamento['nome_grupo_procedimento']);
      $idProcedimentoGrupoEditar  = $fieldAfastamento['id_procedimento'] != "" ? "PROCEDIMENTO##" . $fieldAfastamento['id_procedimento'] : "GRUPO##" . $fieldAfastamento['id_grupo_procedimento'];

      $dataInicioEditar = $fieldAfastamento['datainicio_afastamento'];
      $dataFimEditar    = $fieldAfastamento['datafim_afastamento'];
      $dataInicioAfastamento  = $fieldAfastamento['dataInicioAfastamento'];
      $dataFimAfastamento     = $fieldAfastamento['dataFimAfastamento'];
      $motivoAfastamento  = mb_strtoupper($fieldAfastamento['motivo_afastamento']);
      $dataRegistro         = $fieldAfastamento['dataRegistro'];

      $linkEditarAfastamento  = '"editarAfastamento(' . "'$idAfastamento%%$idUnidadeEditar%%$idProfissionalEditar%%$idProcedimentoGrupoEditar%%$dataInicioEditar%%$dataFimEditar%%$motivoAfastamento')" . '"';
      $linkExcluirAfastamento  = '"excluirAfastamento(' . "'$idAfastamento','$idUnidadeEditar','$idProfissionalEditar')" . '"';
      $htmlRetorno .= "<tr>
        <td style='text-align:center'>
          <i class='icofont icofont-edit nova_fonte' title='Editar registro de Afastamento.' onclick=$linkEditarAfastamento></i>&nbsp;
          <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de Afastamento.'  onclick=$linkExcluirAfastamento></i>
        </td>
        <td>$nomeProfissional</td>
        <td>$nomeUnidade</td>
        <td>$nomeProcedimentoGrupo</td>
        <td align='center'>$dataInicioAfastamento</td>
        <td align='center'>$dataFimAfastamento</td>
        <td>$motivoAfastamento</td>
        <td style='text-align:center'>$dataRegistro</td>
      </tr>";
    }
  }
}

if ($opcaoExclusao == "parametro-profissional") {

  $formataSexo = array(
    "A" => "AMBOS",
    "M" => "MASCULINO",
    "F" => "FEMININO"
  );
  $idUnidade  = $_POST['idUnidade'];
  $stmlRegistroExclusao = $rsConexao->prepare("DELETE FROM reg_tb_parametro_profissional WHERE id_parametro_profissional='$idRegistroExclusao'");
  $stmlRegistroExclusao->execute();
  $stmlAltoIncremento   = $rsConexao->prepare("ALTER TABLE reg_tb_parametro_profissional AUTO_INCREMENT=1");
  $stmlAltoIncremento->execute();

  # --  carregar lista atualizada -- #
  $sqlParametro = "SELECT reg_tb_parametro_profissional.id_parametro_profissional,
    tb_profissional.nome_profissional,
    tb_profissional.codigoprofissional_cnes,
    reg_tb_parametro_profissional.sexo_permitido,
    reg_tb_parametro_profissional.idade_minima,
    reg_tb_parametro_profissional.idade_maxima
    FROM reg_tb_parametro_profissional
    INNER JOIN tb_profissional ON (reg_tb_parametro_profissional.codigoprofissional_cnes = tb_profissional.codigoprofissional_cnes)
    WHERE (reg_tb_parametro_profissional.codigoestabelecimento_cnes='$idUnidade')
    ORDER BY tb_profissional.nome_profissional";
  $stmParametro = $rsConexao->prepare($sqlParametro);
  $stmParametro->execute();
  if ($stmParametro->rowCount() > 0) {
    $rsParametro  = $stmParametro->fetchAll(PDO::FETCH_ASSOC);
    foreach ($rsParametro as $fieldParametro) {
      $idParametro          = $fieldParametro['id_parametro_profissional'];
      $idProfissional       = $fieldParametro['codigoprofissional_cnes'];
      $nomeProfissional     = mb_strtoupper($fieldParametro['nome_profissional']);
      $sexoPermitidoExibir  = $formataSexo[$fieldParametro['sexo_permitido']];
      $sexoPermitido        = $fieldParametro['sexo_permitido'];
      $idadeMinima          = $fieldParametro['idade_minima'];
      $idadeMaxima          = $fieldParametro['idade_maxima'];

      $linkEditarParametro  = '"editarParametro(' . "'$idParametro#$idProfissional#$sexoPermitido#$idadeMinima#$idadeMaxima')" . '"';
      $linkExcluirParametro = '"excluirParametro(' . "'$idParametro','$idUnidade')" . '"';

      echo "<tr>
          <td align='center'>
            <i class='icofont icofont-edit nova_fonte' title='Editar registro de parâmetro.' onclick=$linkEditarParametro></i>&nbsp;
            <i class='icofont icofont-close-squared nova_fonte_delete' title='Excluir registro de parâmetro.' onclick=$linkExcluirParametro></i>
          </td>
          <td>$nomeProfissional</td>
          <td align='center'>$sexoPermitidoExibir</td>
          <td align='center'>$idadeMinima</td>
          <td align='center'>$idadeMaxima</td>
        </tr>";
    }
  }
}

if ($opcaoExclusao == "bloquear-usuario") {

  $valorAtivacao  = $_POST['valorAtivacao'];
  $stmlRegistroExclusao = $rsConexao->prepare("UPDATE reg_tb_usuario SET ativo='$valorAtivacao' WHERE id_usuario='$idRegistroExclusao'");
  $stmlRegistroExclusao->execute();

  # -- Carregar lista atualizada --#
  $sqlUsuario = "SELECT reg_tb_usuario.*, 
  reg_rl_usuario_perfil.descricao_usuario_perfil,
  reg_tb_unidade_saude.id_unidade,
  reg_tb_unidade_saude.nome_unidade,
  tb_estabelecimento.nfantasia_estabelecimento
  FROM reg_tb_usuario 
  INNER JOIN reg_rl_usuario_perfil ON (reg_tb_usuario.id_usuario_perfil=reg_rl_usuario_perfil.id_usuario_perfil) 
  LEFT OUTER JOIN reg_tb_unidade_saude ON (reg_tb_usuario.id_unidade=reg_tb_unidade_saude.id_unidade) 
  LEFT OUTER JOIN tb_estabelecimento ON (reg_tb_usuario.id_unidade_executante=tb_estabelecimento.codigoestabelecimento_cnes)
  WHERE (id_usuario!='1' AND id_usuario!='119') 
  ORDER BY nome_usuario ASC";
  $stmUsuario  = $rsConexao->prepare($sqlUsuario);
  $stmUsuario->execute();
  $totalRegistrosUsuario = $stmUsuario->rowCount();
  $rsUsuario      = $stmUsuario->fetchAll(PDO::FETCH_ASSOC);
  if ($totalRegistrosUsuario > 0) {

    foreach ($rsUsuario as $fieldUsuario) {
      $idUsuario          = $fieldUsuario['id_usuario'];
      $idPerfilUsuario    = $fieldUsuario['id_usuario_perfil'];
      $nomeUsuario        = mb_strtoupper($fieldUsuario['nome_usuario']);
      $emailUsuario        = $fieldUsuario['email_usuario'];
      $telefoneCelular    = $fieldUsuario['fonecelular'];
      $cpfUsuario          = $fieldUsuario['cpf_usuario'];
      $usuarioAtivo       = $fieldUsuario['ativo'];
      $perfilUsuario      = $fieldUsuario['descricao_usuario_perfil'];;
      $unidadeSaude        = $fieldUsuario['nfantasia_estabelecimento'] == "" ? mb_strtoupper($fieldUsuario['nome_unidade']) : mb_strtoupper($fieldUsuario['nfantasia_estabelecimento']);
      $idUnidade          = mb_strtoupper($fieldUsuario['id_unidade']);
      $conteudoEdicao     = $idUsuario . "#" . $nomeUsuario . "#" . $cpfUsuario . "#" . $emailUsuario . "#" . $telefoneCelular . "#" . $idPerfilUsuario . "#" . $idUnidade;

      $linkEditarUsuario    = '"editarDados(' . "'cadastro_usuario','$conteudoEdicao')" . '"';
      $linkAlteraSenha      = '"gerarNovaSenha(' . "'nova_senha_aleatoria','$idUsuario','$nomeUsuario')" . '"';

      if ($usuarioAtivo == 0) {
        $corLinha = "style='background-color:#f3b5b5 !important; color: #700000'";
        $linkBloqueioUsuario  = '"bloquearDesbloquearUsuario(' . "'$idUsuario','1')" . '"';
        $botaoBloqueioUsuario  = "<i class='icofont icofont-tick-boxed nova_fonte_blue' title='Ativar usuário.'  onclick=$linkBloqueioUsuario></i>";
      } else {
        $corLinha  = "";
        $linkBloqueioUsuario  = '"bloquearDesbloquearUsuario(' . "'$idUsuario','0')" . '"';
        $botaoBloqueioUsuario  = "<i class='icofont icofont-not-allowed nova_fonte_delete' title='Bloquear usuário.'  onclick=$linkBloqueioUsuario></i>";
      }
      echo "<tr $corLinha>
        <td style='text-align:center'>																			
          <i class='ft-edit nova_fonte' title='Editar dados do usuário.'  onclick=$linkEditarUsuario></i>
          <i class='icofont icofont-key nova_fonte' style='color:#147500' title='Gerar uma nova senha.'  onclick=$linkAlteraSenha></i>
          $botaoBloqueioUsuario
        </td>
        <td>$nomeUsuario</td>
        <td style='text-align:center' class='cpf-inputmask'>$cpfUsuario</td>
        <td>$emailUsuario</td>
        <td style='text-align:center'>$telefoneCelular</td>
        <td style='text-align:center'>$perfilUsuario</td>
        <td>$unidadeSaude</td>
      </tr>";
    }
  }
}

if ($opcaoExclusao == "status-estabelecimento-saude"){
  $statusEstabelecimento  = $_POST['statusEstabelecimento']=="ativar" ? "A" : "I";
  $stmlRegistroExclusao   = $rsConexao->prepare("UPDATE tb_estabelecimento SET status_estabelecimento='$statusEstabelecimento' WHERE codigoestabelecimento_cnes='$idRegistroExclusao'");
  $stmlRegistroExclusao->execute();

  //******* carregar lista atualizada *******/    
  $stmEstabelecimentos	= $rsConexao->prepare("SELECT * FROM tb_estabelecimento WHERE codigoestabelecimento_cnes!='9999999999999' ORDER BY nfantasia_estabelecimento");
  $stmEstabelecimentos->execute();
  $rsEstabelecimentos		= $stmEstabelecimentos->fetchAll(PDO::FETCH_ASSOC);
  foreach ($rsEstabelecimentos as $fieldEstabelecimentos) {
    $codigoEstabelecimento				= $fieldEstabelecimentos['codigoestabelecimento_cnes'];
    $nomeFantasiaEstabelecimento	= $fieldEstabelecimentos['nfantasia_estabelecimento'];
    $razaoSocialEstabelecimento		= $fieldEstabelecimentos['nempresarial_estabelecimento'];
    $cnesEstabelecimento					= $fieldEstabelecimentos['cnes_estabelecimento'];
    $telefoneEstabelecimento			= $fieldEstabelecimentos['telefone_estabelecimento'];
    $bairroEstabelecimento				= $fieldEstabelecimentos['bairro_estabelecimento'];
    $statusEstabelecimento				= $fieldEstabelecimentos['status_estabelecimento'];
    $styloRegistroDesativado			= $fieldEstabelecimentos['status_estabelecimento'] == "A" ? "" : "style='background-color: #ffadad;color: #860000;'";


    $linkEditarCadastro	= '"editarEstabelecimento(' . "'$codigoEstabelecimento')" . '"';
    if ($fieldEstabelecimentos['status_estabelecimento'] == "A") {
      $linkComandoBloqueio	= '"statusEstabelecimento(' . "'$codigoEstabelecimento','desativar')" . '"';
      $btnComandoBloqueio		= "<i class='icofont icofont-close-squared nova_fonte_delete' title='desativar registro do estabelecimento.' onclick=$linkComandoBloqueio></i>";
    } else {
      $linkComandoBloqueio	= '"statusEstabelecimento(' . "'$codigoEstabelecimento','ativar')" . '"';
      $btnComandoBloqueio		= "<i class='icofont icofont-checked nova_fonte_blue' style='font-size:16pt' title='ativar registro do estabelecimento.' onclick=$linkComandoBloqueio></i>";
    }

    echo "<tr $styloRegistroDesativado>
      <td align='center'>
        <i class='icofont icofont-edit nova_fonte' title='Editar registro do estabelecimento.' onclick=$linkEditarCadastro></i>&nbsp;													
        $btnComandoBloqueio
      </td>
      <td>$nomeFantasiaEstabelecimento</td>
      <td>$razaoSocialEstabelecimento</td>
      <td align='center'>$cnesEstabelecimento</td>
      <td align='center'>$telefoneEstabelecimento</td>
      <td>$bairroEstabelecimento</td>
    </tr>";
  }
}
?>